import time
global inventory
inventory = []
global besucht
besucht = []
global ausgeloest
ausgeloest = []


def cover():
    print("""

▄▄▄█████▓ ██░ ██ ▓█████     ██░ ██  ▒█████   █    ██   ██████ ▓█████ 
▓  ██▒ ▓▒▓██░ ██▒▓█   ▀    ▓██░ ██▒▒██▒  ██▒ ██  ▓██▒▒██    ▒ ▓█   ▀ 
▒ ▓██░ ▒░▒██▀▀██░▒███      ▒██▀▀██░▒██░  ██▒▓██  ▒██░░ ▓██▄   ▒███   
░ ▓██▓ ░ ░▓█ ░██ ▒▓█  ▄    ░▓█ ░██ ▒██   ██░▓▓█  ░██░  ▒   ██▒▒▓█  ▄ 
  ▒██▒ ░ ░▓█▒░██▓░▒████▒   ░▓█▒░██▓░ ████▓▒░▒▒█████▓ ▒██████▒▒░▒████▒
  ▒ ░░    ▒ ░░▒░▒░░ ▒░ ░    ▒ ░░▒░▒░ ▒░▒░▒░ ░▒▓▒ ▒ ▒ ▒ ▒▓▒ ▒ ░░░ ▒░ ░
    ░     ▒ ░▒░ ░ ░ ░  ░    ▒ ░▒░ ░  ░ ▒ ▒░ ░░▒░ ░ ░ ░ ░▒  ░ ░ ░ ░  ░
  ░       ░  ░░ ░   ░       ░  ░░ ░░ ░ ░ ▒   ░░░ ░ ░ ░  ░  ░     ░   
          ░  ░  ░   ░  ░    ░  ░  ░    ░ ░     ░           ░     ░  ░
          
          
          
---------------------------------------------------------------------
          
          """)
    time.sleep(3)
    
def uinput(question):
    return input(question).lower()

def error():
    print("Dieser Befehl ist mir leider nicht bekannt :/\n"
              "Bitte erneut versuchen\n")
    
def gameover():
    print("""


  ▄████  ▄▄▄       ███▄ ▄███▓▓█████     ▒█████   ██▒   █▓▓█████  ██▀███  
 ██▒ ▀█▒▒████▄    ▓██▒▀█▀ ██▒▓█   ▀    ▒██▒  ██▒▓██░   █▒▓█   ▀ ▓██ ▒ ██▒
▒██░▄▄▄░▒██  ▀█▄  ▓██    ▓██░▒███      ▒██░  ██▒ ▓██  █▒░▒███   ▓██ ░▄█ ▒
░▓█  ██▓░██▄▄▄▄██ ▒██    ▒██ ▒▓█  ▄    ▒██   ██░  ▒██ █░░▒▓█  ▄ ▒██▀▀█▄  
░▒▓███▀▒ ▓█   ▓██▒▒██▒   ░██▒░▒████▒   ░ ████▓▒░   ▒▀█░  ░▒████▒░██▓ ▒██▒
 ░▒   ▒  ▒▒   ▓▒█░░ ▒░   ░  ░░░ ▒░ ░   ░ ▒░▒░▒░    ░ ▐░  ░░ ▒░ ░░ ▒▓ ░▒▓░
  ░   ░   ▒   ▒▒ ░░  ░      ░ ░ ░  ░     ░ ▒ ▒░    ░ ░░   ░ ░  ░  ░▒ ░ ▒░
░ ░   ░   ░   ▒   ░      ░      ░      ░ ░ ░ ▒       ░░     ░     ░░   ░ 
      ░       ░  ░       ░      ░  ░       ░ ░        ░     ░  ░   ░     
                                                     ░
                                                     

-------------------------------------------------------------------------
""")
    
def regeln():
    print("Bevor wir starten, ein paar Anmerkungen.\n"
          "Bitte alles was du schreibst IMMER in Kleibuchstaben verfassen.\n"
          "Es wird immer MAXIMAL ein Wort benötigt.\n"
          "Du hast einen Rucksack dabei, in dem du Dinge mitnehmen kannst.\n")
    
    time.sleep(2)
    
def visited(ort):
    besucht.append(ort)

def einfuehrung():
    print("Es ist Freitag Nacht...\n"
          
          
          "Du hast dich verlaufen und bist auf der Suche nach einer Unterkunft\n"
          "für die kommende Nacht.\n"
          "Du bist ganz auf dich alleine gestellt.\n"
          "Wenn du nicht aufpasst, wirst du sterben.\n"
          "Sei vorsichtig und überlege dir jede Entscheidung gut.\n"
          "Es gibt kein Zurück!!\n"

             "Du bist ganz alleine an einer abgelegenen Strasse.\n"
             "Es stürmt und ist eiskalt.\n"
             "Plötzlich kommst du zu einem alten Haus.\n"
             "Es sieht unheimlich aus.\n")
    time.sleep(5)

def grundriss():
    print ("""
                         DU BIST HIER
                             |
         __________      ____|______      _______ ____
        |          |    |           |    |            |
        |Wohnzimmer|____|   Flur    |____|Schlafzimmer|
        |          |    |           |    |            |
        |__ _____ _|    |__ ______ _|    |___ ___ ____|
              |                                 |
              |                                 |
              |                                 |
          ____|____      ________ __      ______|_____
        |          |    |           |    |            |
        |  Küche   |____|   Flur    |____| Badezimmer |
        |          |    |           |    |            |
        |__ _____ _|    |__ ________|    |_ __________|
                              |
                              |
                              |
                         _____|_ ____
                        |            |
                        |  Keller    |
                        |            |
                        |_________ __|          
      
      
      
""")
    time.sleep(3)
    

def lageplan():
    print("""

          _______        ___________      _______ ____
        |          |    |           |    |            |
        |Wohnzimmer|____|   Flur    |____|Schlafzimmer|
        |          |    |           |    |            |
        |__ _____ _|    |__ ______ _|    |___ ___ ____|
              |                                 |
              |                                 |
              |                                 |
          ____|____      ________ __      ______|_____
        |          |    |           |    |            |
        |  Küche   |____|   Flur    |____|Badezimmer  |
        |          |    |           |    |            |
        |__ _____ _|    |__ ________|    |_ __________|
                              |
                              |
                              |
                         _____|______
                        |            |
                        |  Keller    |
                        |            |
                        |____________|
                        
                        
          """)              
    
def abspann():
    print("""


▄▄▄█████▓ ██░ ██ ▓█████    ▓█████  ███▄    █ ▓█████▄ 
▓  ██▒ ▓▒▓██░ ██▒▓█   ▀    ▓█   ▀  ██ ▀█   █ ▒██▀ ██▌
▒ ▓██░ ▒░▒██▀▀██░▒███      ▒███   ▓██  ▀█ ██▒░██   █▌
░ ▓██▓ ░ ░▓█ ░██ ▒▓█  ▄    ▒▓█  ▄ ▓██▒  ▐▌██▒░▓█▄   ▌
  ▒██▒ ░ ░▓█▒░██▓░▒████▒   ░▒████▒▒██░   ▓██░░▒████▓ 
  ▒ ░░    ▒ ░░▒░▒░░ ▒░ ░   ░░ ▒░ ░░ ▒░   ▒ ▒  ▒▒▓  ▒ 
    ░     ▒ ░▒░ ░ ░ ░  ░    ░ ░  ░░ ░░   ░ ▒░ ░ ▒  ▒ 
  ░       ░  ░░ ░   ░         ░      ░   ░ ░  ░ ░  ░ 
          ░  ░  ░   ░  ░      ░  ░         ░    ░    
                                              ░   
-----------------------------------------------------


""")
    
def eintreten():
    aktion = uinput('Willst Du eintreten oder weglaufen?')
    if aktion == 'eintreten':       
        return 1
 
    elif aktion == 'weglaufen':
        print("\n"
        "Du läufst davon voller Angst... \n"
        "Doch schon nach kurzer Zeit wird dir bewusst...\n"
        "Du musst zurück wenn du diese Nacht überleben willst.\n")        
        time.sleep(3)
        eintreten()
        
    else:
        error()
        time.sleep(2)
        eintreten()
            
def flur_1():
    if "lampe" in inventory:
        print("Du bist nun auf dem Flur.\n")
        lageplan()
        f = uinput("Wohin willst du?")
        if f == "schlafzimmer":
            return 4
        elif f == "wohnzimmer":
            return 3
        else:
            print("Du kannst diesen Raum nicht direkt betreten.\n")
            return 1
    else:
        inventory.append("lampe")
        print("\n"
            "(Du findest eine Lampe und steckst sie in dein Inventar)\n"
            "Du stehst auf einem Flur.\n"
            "Das Haus sieht alt und verlassen aus.\n"
            "Doch plötzlich hörst du etwas...\n"
            "Schritte vielleicht?\n")
        d = input("Willst du im Schlafzimmer oder im Wohnzimmer nachsehen?").lower()
        if d == "schlafzimmer":
            return 4
        elif d == "wohnzimmer":
            return 3
        else:
            error()
            time.sleep(2)
            inventory.remove("lampe")
            return 1   

def flur_2():
    if "flur2" in besucht:
        print("Du bist nun auf dem Flur.\n")
        if "schlüssel" in inventory:
            if "tür" not in besucht:
                q = uinput("Willst du die Türe öffnen?")
                if q == "ja":
                    if "schlüssel" in inventory:
                        return 7
                    else:
                        print("Du brauchst einen Schlüssel um diese Türe zu öffnen.\n")
                elif q == "nein":
                    time.sleep(3)
                    lageplan()
                    f = uinput("Wohin willst du?")
                    if f == "badezimmer":
                        return 6
                    elif f == "küche":
                        return 5
                    else:
                        print("Du kannst diesen Raum nicht direkt betreten.\n")
                        return 2
            else:
                besucht.remove("tür")
                lageplan()
                f = uinput("Wohin willst du?")
                if f == "badezimmer":
                    return 6
                elif f == "küche":
                    return 5
                else:
                    print("Du kannst diesen Raum nicht direkt betreten.\n")
                    return 2
        else:
            lageplan()
            f = uinput("Wohin willst du?")
            if f == "badezimmer":
                return 6
            elif f == "küche":
                return 5
            else:
                print("Du kannst diesen Raum nicht direkt betreten.\n")
                return 2
    else:    
        print("Du stehst erneut auf einem Flur...\n"
              "Er sieht aber anderst aus als der beim Hauseingang.\n"
              "Deutlich düsterer... und eine Tür die in einen anderen Raum führt.\n"
              "In den Keller vielleicht?\n")
        i = uinput("Willst du die Türe öffnen?")
        if i == "nein":
            visited("flur2")
            visited("tür")
            return 2
        elif i == "ja":
            if "schlüssel" in inventory:
                inventory.remove("schlüssel")
                return 7
            else:
                print("Die Türe scheint verschlossen zu sein.\n"
                      "Du brauchst einen Schlüssel um diesen Raum zu betreten.\n")
                time.sleep(3)
                lageplan()
                j = uinput("Wohin willst du?")
                if j == "badezimmer":
                    return 6
                    visited("flur2")
                elif j == "küche":
                    return 5
                    visited("flur2")
                else:
                    error()
                    time.sleep(2)
                    return 2
        else:
            error()
            return 2

def wohnzimmer():
    if "wohnzimmer" in besucht:
        print("Du bist nun im Wohnzimmer.\n")
        f = input("Wohin willst du?").lower()
        lageplan()
        if f == "flur":
            return 1
        elif f == "küche":
            return 5
        else:        
            print("Du kannst diesen Raum nicht direkt betreten.\n")
            return 3
    else:
        print("\n"
            "Du gehst aufmerksam ins Wohnzimmer.\n"
            "Du blickst umher.\n"
            "Da links! Eine schwarze Gestalt steht im nächsten Zimmer!\n"
            "Geschockt bleibst du stehen und planst dein weiteres Vorgehen.\n")
        b = input("Willst du die Situation beobachten oder flüchten?").lower()
        if b == "flüchten":
            return 12
        if b == "beobachten":
            visited("wohnzimmer")
            visited("schlafzimmer")
            print("\n"
            "Schockiert erkennst du, dass die schwarze Gestalt ein Messer hat.\n"
            "Sie lacht auf eine psychopathische Art und Weise und läuft umher.\n"
            "Sucht sie etwas? Oder jemanden?\n"
            "Mich vielleicht?\n"
            "Es sieht so aus als würde sie im nächsten Raum verschwinden.\n")
            time.sleep(5)
            lageplan()
            c = uinput("Wohin willst du?")
            if c == "flur":
                return 1
            elif c == "küche":
                return 5
            else:
                print("Du kannst diesen Raum nicht direkt betreten.\n")
                return 3  
        else:
            error()
            time.sleep(2)
            return 3

def schlafzimmer():
    if "schlafzimmer" in besucht:
        print("Du bist nun im Schlafzimmer.\n")
        lageplan()
        e = uinput("Wohin willst du?")
        if e == "badezimmer":
            return 6
        elif e == "flur":
            return 1
        else:
            print("Du kannst diesen Raum nicht direkt betreten.\n")
            return 4
    else:
        print("\n"
        "Du öffnest die Schlafzimmertüre langsam.\n"
        "Die Türe aber knirscht und lässt sich nur schwer öffnen.\n"
        "Nun betrittst du das alte und verlassene SChlafzimmer.\n"
        "Du siehst dich etwas um.\n"
        "Am Boden hinter dem Bett siehst du etwas.\n"
        "Flecken viellei... HILFE!!!!!\n"
        "Jemand schrie um Hilfe? Und die Flecken - es ist Blut!!\n")
        a = uinput("Willst du flüchten oder dem Hilferuf folgen?")
        if a == "flüchten":
            print("\n"
            "Du entschliesst dich zu flüchten.\n"
            "Du hast Todesangst\n")
            return 12               
        elif a == "folgen":
            besucht.append("schlafzimmer")
            return 3
        else:
            error()
            time.sleep(2)
            return 4

def kueche():
    if "küche" in besucht: 
        print("Du bist nun in der Küche.\n")
        if "messer" not in inventory:
            print("Das Messer, welches du vorhin entdeckt hast liegt noch immer da.\n")
            p = uinput("Willst du das Messer aufheben? Es könnte sich später noch als Nützlich erweisen.")
            if p == "ja":
                inventory.append("messer")
                print("Du steckst das Messer in dein Inventar")
            elif p == "nein":
                print("ok")
            else:
                error()
                return 5
        else:
            time.sleep(0.1)
    else:
        visited("küche")
        print("Du bist nun in der Küche.\n"
              "Von der schwarzen Gestalt ist nichts zu sehen.\n"
              "Auf der Ablage liegt ein Messer.\n")
        time.sleep(2)
        p = uinput("Willst du das Messer aufheben? Es könnte sich später noch als Nützlich erweisen.")
        if p == "ja":
            inventory.append("messer")
            print("Du steckst das Messer in dein Inventar")
        elif p == "nein":
            print("ok")
        else:
            error()
            return 5
    time.sleep(2)
    lageplan()
    x = uinput("Wohin willst du?")
    if x == "flur":
        return 2
    if x == "wohnzimmer":
        return 3
    else:
        print("Du kannst diesen Raum nicht direkt betreten.\n")
        return 5
    
def badezimmer():
    if "badezimmer" in besucht:
        print("Du bist nun im Badezimmer.\n")
        if "badevorhang" in besucht:
            if "schlüssel" not in besucht:
                if "schlüssel" not in inventory:
                    w = uinput("Willst du den Schlüssel aufheben?")
                    if w == "ja":
                        inventory.append("schlüssel")
                    else:
                        print("ok")
            else:
                besucht.remove("schlüssel")
        else: 
            w = uinput("Willst du den Duschvorhang öffnen?")
            visited("badevorhang")
            if w == "ja":
                return 14
            elif w == "nein":
                print("ok")
            else:
                error()
                return 6
    else:
        print("Du öffnest die Türe zum Bad ganz leise.\n"
              "Du hoffst, dass die schwarze Gestalt nichts gehört hat.\n"
              "Etwas ängstlich betrittst du nun das Badezimmer.\n"
              "Viel gibt es nicht zu sehen in diesem Badezimmer\n"
              "Eine Toilette, ein Spiegel und eine Badewanne\n"
              "Der Duschvorhang der Badewanne ist zu\n")
        g = uinput("Willst du ihn öffnen?")
        if g == "ja":
            visited("badezimmer")
            visited("badevorhang")
            return 14
        if g == "nein":
            visited("badezimmer")
            print("ok")
        else:
            error()
            return 6
    lageplan()
    e = uinput("Wohin willst du?")
    if e == "flur":
        return 2
    if e == "schlafzimmer":
        return 4
    else:
        print("Du kannst diesen Raum nicht direkt betreten.\n")
        return 6
    
def treppe():
    print("Du öffnest die Türe möglichst leise.\n"
          "Zu deiner Erleichterung öffnet sich die Türe ruhig.\n"
          "Vor dir siehst du eine Treppe.\n"
          "Sie führt nach unten... in den Keller wahrscheinlich.\n")
    k = uinput("Willst du den Keller betreten?")
    if k == "ja":
        return 8
    elif k == "nein":
#        schlüssel = 1
        return 2          
    else:
        error()
        return 7
    
def keller():    
    print("Schleichend gehst du die dunkle, alte Treppe hinunter\n"
          "Zu deinem Pech knirscht das alte Holz unter deinen Füssen\n"
          "Unten angekommen siehst du dich etwas um.\n"
          "Ein Schrank, ein altes Bett und viele alte Schachteln stehen herum.\n"
          "Ein komischer Geruch kommt dir in die Nase...\n"
          "...woher der wohl kommen mag?\n"
          "Aus dem Schranz läuft etwas heraus...\n"
          "...wegen der Dunkelheit erkennst du nicht wases ist.\n")
    l = uinput("Willst du im Schrank nachschauen?")
    if l == "ja":
        return 9 
    elif l == "nein":
        global origin
        origin = 1
        return 10
    else:
        error()
        return 8    

def schrank():
    print("Du öffnest den Schrank.\n"
          "AHHHHHH!! Eine Leiche!! Und Blut! Überall Blut!!\n"
          "Als wäre das nicht schon genug, hörst du plötzlich ein Lachen\n"
          "Die schwarze Gestalt!!!\n"
          "Und du hast keine Möglichkeit zu flüchten!\n"
          "Das knirschen der Treppen wird immer lauter.\n"
          "Du musst dich verstecken. Schnell!!!\n")
    time.sleep(3)
    global origin
    origin = 2
    return 10
        
    
    
def verstecken():
#v1------------------    
    global origin
    global end_origin
    if origin == 1:
        print(
          "Du hörst plötzlich ein Lachen.\n"
          "Die schwarze Gestalt!!!\n"
          "Und du hast keine Möglichkeit zu flüchten!\n"
          "Das knirschen der Treppen wird immer lauter.\n"
          "Du musst dich verstecken. Schnell!!!\n")
        time.sleep(3)
        o = uinput("Wo willst du dich verstecken?\n"
                  "Hinter den Schachteln oder unter dem Bett?")  
        if o == "bett":
            end_origin = 2
            return 11
        elif o == "schachteln":
            end_origin = 3
            return 11    
        else:
            print("Diese Möglichkeit steht nicht zur Auswahl.\n"
              "Bitte überprüfe deine Antwort nochmals.\n")    
            return 10

#v2---------------------
    elif origin == 2:
        m = input("Wo willst du dich verstecken?\n"
                  "Im Schrank, hinter den Schachteln oder unter dem Bett?\n").lower()
        if m == "schrank":
            end_origin = 1
            return 11
        elif m == "bett":
            end_origin = 2
            return 11
        elif m == "schachteln":
            end_origin = 3
            return 11
        else:
            print("Diese Möglichkeit steht nicht zur Auswahl.\n"
              "Bitte überprüfe deine Antwort nochmals.\n")    
            return 10
    else:
        return 100


def ende():
    global end_origin
    if end_origin == 1:
        print("Du hast entschieden dich im Schrank zu verstecken.\n"
          "In dem Schrank in dem auch die Leiche ist.\n"
          "Ob das wohl die richtige Entscheidung war?\n")
        time.sleep(5)
        print("Du drückst dich an den Schrank und bist so leise wie nur möglich.\n"
          "Du hörst wie die schwarze Gestalt immer und immer näher kommt.\n"
          "Sie lacht laut und sucht dich überall.\n"
          "Sie kommt näher zum Schrank mit dem Messer voran.\n"
          "Dann bleibt sie stehen.\n"
          "Langsam öffnet sie die Schranktür.\n"
          "Du blickst ihr direkt in die Augen.\n"
          "Du schreist aber sie zeigt keine Gnade und ersticht dich kaltblütig.\n")
        gameover()
        return 0
    elif end_origin == 2:
        print("Du hast dich für das Bett entschieden\n"
          "Unter dem Bett liegt ein Teppich\n"
          "Ob da wohl etwas darunter ist, dass versteckt werden muss?\n")
        print("Die schwarze Gestalt ist im Keller.\n"
          "Du hast Todesangst. Sie sucht dich überall.\n")
        if "messer" in inventory:
            print("Du erinnerst dich an das Messer welches du im Badezimmer gefunden hast.\n")
            n = uinput("Willst du mit dem Messer den Teppich aufschneiden?")
            if n == "ja":
                inventory.remove("messer")
                return 13 
            if n == "nein":
                print("Du hast keine andere wahl. Schneide den Teppich auf!!!")
                return 11
            else:
                error()
                return 11
        else:
            return 15 
    elif end_origin == 3:
        print("Du hast dich für die Schachteln entschieden\n"
          "Du machst dich so klein wie möglich und hoffst nicht entdeckt zu werden\n"
          "Durch einen Spalt bei den Schachteln siehst du auf das Bett\n"
          "Darunter fällt dir ein Teppich auf.\n"
          "Es sieht aus als wäre darunter etwas versteckt.\n")
        print("Du hörst wie die schwarze Gestalt den Keller betretet.\n"
          "Voller Angst überlegst du wie du flüchten könntest.\n"
          "Die schwarze Gestalt sucht dich überall.\n"
          "Sie kommt langsam aber stetig immer näher zu den Schachteln.\n"
          "Als die schwarze Gestalt einen kurzen Moment weg schaut,\n"
          "läufst du so schnell du kannst zum Bett und versteckst dich dort\n")
        if "messer" in inventory:
            print("Du erinnerst dich an das Messer welches du im Badezimmer gefunden hast.\n")
            n = uinput("Willst du mit dem Messer den Teppich aufschneiden?")
            if n == "ja":
                inventory.remove("messer")
                return 13 
            if n == "nein":
                print("Du hast keine andere wahl. Schneide den Teppich auf!!!")
                return 2
            else:
                error()
                return 11
        else:
            return 15 
    else:
        return 99
    
def mord():
    print("\n"
        "Du rennst so schnell du kannst zum Flur. \n"
        "Du willst die Türe aufreissen und weglaufen.\n"
        "Doch die Türe ist verschlossen!\n"
        "Plötzlich spürst du das jemand hinter dir steht... \n"
        "...du drehst langsam deinen Kopf\n"
        "Die schwarze Gestalt steht hinter dir!\n"
        "Sie ist voller Blut und lacht laut und bevor du reagieren kannst...\n"
        "...sticht sie dir ein Messer kaltblütig in die Brust!\n")
    time.sleep(5)
    gameover()
    return 0

def flucht():
    print("Unter dem Teppich ist tatsächlich etwas.\n"
          "Eine geheime Öffnung im Boden!! Vielleicht ein Weg der hier weg führt?\n"
          "Du Öffnest die Falltüre und springst nach unten.\n"
          "Tatsächlich! Es sieht aus wie ein langer Gang\n"
          "Das Problem ist nur... es ist stock dunkel.\n")
    o = uinput("Nimm deine Lampe und zünde sie an! (lampe nehmen)\n")
    if o == "lampe nehmen":
        inventory.remove("lampe")
        print("Du siehst nun genug für deine Flucht!\n")
        print("Hinter dir hörst du schonwieder das Lachen der schwarzen Gestalt.\n"
          "Du rennst so schnell du kannst!\n"
          "Es ist kalt und nass in diesem Tunnel aber dir bleibt nichts anderes übrig.\n"
          "Hier! Eine Leiter!\n"
          "Du steigst die Leiter nach oben und öffnest die Falltüre.\n"
          "Die schwarze Gestalt kommt immer näher!\n"
          "Du kletterst hinaus und schliesst die Türe wieder.\n")
        return 0   
    else:
        error()
        return 13
    
def schock():
    print("Du öffnest neugierig den Duschvorhang.\n"
          "Die Badewanne.. sie.. sie ist.. voller Blut!\n"
          "Du schreist und hast Angst. Du willst nur noch weg hier!\n"
          "Doch nach kurzer Zeit fällt dir neben der Wanne etwas auf...\n"
          "...ist das ein Schlüssel?")
    h = uinput('Schlüssel aufheben oder liegen lassen?')
    if h == "aufheben":
        inventory.append("schlüssel")
        print("Du hebst den Schlüssel auf.")
        return 6
    if h == "lassen":
        visited("schlüssel")
        return 6
    else:
        print("Dieser Befehl ist mir leider nicht bekannt :/\n"
              "Bitte erneut versuchen.\n")
        time.sleep(2)
        return 14

def mord_2():
    print("Du hast kein Messer in deinem Rucksack.\n"
          "Da du das Messer ohne Erfolg gesucht hast,\n"
          "wurde die schwarze Gestalt auf dich aufmerksam.\n"
          "Sie kommt immer näher in Richtung Bett und du hast\n"
          "keine Möglichkeit mehr dich zu verstecken.\n"
          "Die schwarze Gestalt zieht das Bett weg und sieht dir tief in die Augen.\n"
          "Du schaust sie hilfeschreiend an aber das ist ihr egal.\n"
          "Sie lacht laut los und sticht dir langsam mit dem Messer in die Brust.\n"
          "Du verlierst das Bewusstsein und das letzte was du noch hörst,\n"
          "ist das psychopathische Lachen.\n")
    gameover()
    return 0

def glückwunsch():
    print("Gratuliere!!! Du hast die Nacht überlebt und einen Ausweg aus dem Haus gefunden!\n"
          "Du bist nun in einem Wald.\n"
          "Nach langem umherirren hast du ein Dorf gefunden.\n"
          "Die Leute dort waren sehr freundlich und haben dich zurück zu deinem Haus gebracht.\n"
          "Zuhause hast du alles der Polizei erzählt.\n"
          "Als die Polizei ankam war das Haus nicht mehr dort.\n"
          "Ein Berg aus SChutt und Asche ist übrig geblieben.\n"
          "Die schwarze Gestalt wurde bis heute nicht gefunden.\n")

def main():
    cover()
    regeln()
    einfuehrung()
    grundriss()
    eintreten()
    next = 1
    exit = 1
    while next != 0:
        if next == 1:
            next = flur_1()
        elif next == 2:
            next = flur_2()
        elif next == 3:
            next = wohnzimmer()
        elif next == 4:
            next = schlafzimmer()
        elif next == 5:
            next = kueche()
        elif next == 6:
            next = badezimmer()
        elif next == 7:
            next = treppe()
        elif next == 8:
            next = keller()
        elif next == 9:
            next = schrank()
        elif next == 10:
            next = verstecken()
        elif next == 11:
            next = ende()
        elif next == 12:
            next = mord()
            exit = 0
        elif next == 13:
            next = flucht()
        elif next == 14:
            next = schock()
        elif next == 15:
            next = mord_2()
            exit = 0
        else:
            print("Es ist ein Fehler aufgetreten. Bitte Spiel neustarten. Exit code:", next)
            next = 0
            exit = 0
    if exit == 1:
        glückwunsch()
        time.sleep(7)
        abspann()

main()